org.apache.fop.pdf

## Class PDFTransitionAction.Resolver

- java.lang.Object
- - org.apache.fop.pdf.PDFTransitionAction.Resolver

- Enclosing class:
    PDFTransitionAction

      public abstract static class PDFTransitionAction.Resolver
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resolver(PDFTransitionAction action, Object extension)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFTransitionAction` | `getAction()`
    `Object` | `getExtension()`
    `protected void` | `performResolution()`
    `void` | `resolve()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Resolver

          public Resolver(PDFTransitionAction action,
                          Object extension)

  - ### Method Detail

    - #### getAction

          public PDFTransitionAction getAction()

    - #### getExtension

          public Object getExtension()

    - #### resolve

          public void resolve()

    - #### performResolution

          protected void performResolution()

Copyright © 2023 Apache Software Foundation. All rights reserved.